<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "Enhanced Parser"                               |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
| Developed for Gnther Ludwig http://www.amazingbytes.net               |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <conpresso@gmx.de>                               |
+------------------------------------------------------------------------+

== Version: 4.1 / March 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['parser'] as $k=>$v) {
        if (!isset($_POST['cpoParserNew'][$k])) continue;
        if (is_bool($activeModules['parser'][$k])) {
            $activeModules['parser'][$k] = (bool) $_POST['cpoParserNew'][$k];
        } else {
			$activeModules['parser'][$k] = $_POST['cpoParserNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpoParserNew'])) unset($new_settings['cpoParserNew'][$k]);
    }
    foreach ($new_settings['cpoParserNew'] as $k=>$v) {
		$activeModules['parser'][$k] = $new_settings['cpoParserNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['parser'])),
			'parser'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

?>

<script type="text/javascript"><!--

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+350+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-350+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

//--> </script>

<?php

printPageHeader(
    __('Enhanced parser'),
    __('In this view you can work on the parser module settings.'),
	'http://manual.conpresso4.de/parser/settings.htm',
	true,
	'modules'
);
include(CPO_BASEDIR.'_include/message.php');
include(CPO_BASEDIR.$activeModules['parser']['directory'].'/producer.inc.php');

	
echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
echo '<input type="hidden" name="go" value="1">';

// table header {{{
echo '<table class="colored" style="width: 100%;">';
echo '<thead><tr>';

echo '<th colspan="2"><span>'.__('Parser settings').'</span></th>';

echo '</tr></thead><tbody>';
// }}}


echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Errorhandling:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<select name="cpoParserNew[errorhandling]" size="1">';
	$selyes = ($activeModules['parser']['errorhandling']=="yes") ? ' selected="selected"' :'';
	$selno = ($activeModules['parser']['errorhandling']=="no") ? ' selected="selected"' :'';
	echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
	echo '<option value="no"'.$selno.'>'.__('no').'</option>';
	echo '</select>';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Debugging:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<select name="cpoParserNew[debugging]" size="1">';
	$selyes = ($activeModules['parser']['debugging']=="yes") ? ' selected="selected"' :'';
	$selno = ($activeModules['parser']['debugging']=="no") ? ' selected="selected"' :'';
	echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
	echo '<option value="no"'.$selno.'>'.__('no').'</option>';
	echo '</select>';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Show arrays:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<select name="cpoParserNew[showArrays]" size="1" style="margin-left:50px">';
	$selyes = ($activeModules['parser']['showArrays']=="yes") ? ' selected="selected"' :'';
	$selno = ($activeModules['parser']['showArrays']=="no") ? ' selected="selected"' :'';
	echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
	echo '<option value="no"'.$selno.'>'.__('no').'</option>';
	echo '</select>';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Show table:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<select name="cpoParserNew[showTable]" size="1" style="margin-left:50px">';
	$selyes = ($activeModules['parser']['showTable']=="yes") ? ' selected="selected"' :'';
	$selno = ($activeModules['parser']['showTable']=="no") ? ' selected="selected"' :'';
	echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
	echo '<option value="no"'.$selno.'>'.__('no').'</option>';
	echo '</select>';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Show all parsing steps:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<select name="cpoParserNew[showAllSteps]" size="1" style="margin-left:50px">';
	$selyes = ($activeModules['parser']['showAllSteps']=="yes") ? ' selected="selected"' :'';
	$selno = ($activeModules['parser']['showAllSteps']=="no") ? ' selected="selected"' :'';
	echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
	echo '<option value="no"'.$selno.'>'.__('no').'</option>';
	echo '</select>';
	echo '</td>';
echo '</tr>';

echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Post parsing:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<textarea style="width: 95%; height: 100px;" class="text inputwidth" name="cpoParserNew[postparsing]" id="postparsing">'.$activeModules['parser']['postparsing'].'</textarea>';
	echo '<br /><a href="#" onClick="textarea(\'postparsing\', this);return false" id="lnk">'.__('enlarge').'</a> ';
	echo '</td>';
echo '</tr>';



echo '<tr>';
	echo '<td class="leftrow">';
	echo '&nbsp;';
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
	echo '</td>';
echo '</tr>';
echo '</tbody></table>';


echo '</form>';

require(CPO_BASEDIR.'_include/footer.php');
?>
